#include <unistd.h> // usleep()
#include <stdio.h>
#include <time.h>
#include "includes/time_delay.h"
void time_delay(int sec)
{
	int s_time, e_time; // 定义开始时间和结束时间，单位为秒
	s_time = time(NULL);
	while (1)
	{
		e_time = time(NULL);
		if (e_time == s_time + sec)
			break;
	}
}

// 延迟指定毫秒数
void delay_ms(int milliseconds)
{
	usleep(milliseconds * 1000); // usleep()函数用于毫秒级延迟
}

// 测试用例
// int main(int argc, char *argv[])
// {
// 	while(1)
// 	{
// 		printf("hello world\n");
// 		time_delay(3);
// 	}
// 	return 0;
// }
